{% extends 'library/index.html' %}
{% load static %}
{% load templatehelpers %}
{% block title %}{{ title }}{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb title "#" %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      <div class="accordion" id="accordionExample">
        {% for practice in practices %}
          <div class="card">
            <div class="card-header" id="heading-{{ forloop.counter }}">
              <h2 class="mb-0">
                <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                        data-target="#collapse-{{ forloop.counter }}"
                        aria-expanded="false" aria-controls="collapse-{{ forloop.counter }}">
                  {{ practice.theme }}
                </button>
              </h2>
            </div>
            <div id="collapse-{{ forloop.counter }}" class="collapse" aria-labelledby="heading-{{ forloop.counter }}"
                 data-parent="#accordionExample">
              <div class="card-body" align="justify">
                <h6 class="card-subtitle mb-2 text-muted">
                  {{ practice.get_category_display }} <br> {{ practice.speciality }} <br> {{ practice.year }}
                </h6>
                {{ practice.abstract|safe }}
                <hr>
                {% if practice.tags.all|length > 0 %}
                  {% for tag in practice.tags.all %}
                    <a href="{% url "library:works_with_tags" tag.id %}" class="badge badge-primary">{{ tag }}</a>
                  {% endfor %}
                {% endif %}
                <br>
                {% if perms.library.change_practice %}
                  <a href="/admin/library/practice/{{ practice.id }}/change/" class="btn btn-warning"
                     role="button" style="float:right;"><i class="far fa-edit"></i> Редактировать</a>
                {% endif %}
                <a href="{{ practice.file.url }}">Открыть PDF-файл</a>
              </div>
            </div>
          </div>
        {% endfor %}
      </div>
      <br>


    </div>
  </section>
  {% if practices.paginator.num_pages > 1 %}
    <nav aria-label="Page navigation">
      <ul class="pagination justify-content-center stiky-bottom">
        {#         {% if practices.has_previous %}#}
        {#        <li class="page-item"><a class="page-link" href="{% relative_url 1 'page' request.GET.urlencode %}">Начало</a></li>#}
        {#        <li class="page-item"><a class="page-link" href="{% relative_url practices.previous_page_number 'page' request.GET.urlencode %}">Предыдущая</a></li>#}
        {#         {% endif %}#}
        {% for page in practices.paginator.page_range %}
          <li class="page-item {% if page == practices.number %} active {% endif %}"><a class="page-link"
                                                                                        href="{% relative_url page 'page' request.GET.urlencode %}">{{ page }}</a>
          </li>
        {% endfor %}
        {#      {% if practices.has_next %}#}
        {#        <li class="page-item"><a class="page-link" href="{% relative_url practices.next_page_number 'page' request.GET.urlencode %}">Следующая</a></li>#}
        {#        <li class="page-item"><a class="page-link" href="{% relative_url practices.paginator.num_pages 'page' request.GET.urlencode %}">Конец</a></li>#}
        {#      {% endif %}#}
      </ul>
    </nav>
  {% endif %}
{% endblock %}